<?php

namespace Bixo\Announcement\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Announcement\Models\Announcement;

class AnnouncementWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Announcement $announcement,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
