<?php

namespace Bixo\Announcement\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
                    \Bixo\Announcement\Models\Announcement::class
                 => config('bixo.announcement.announcement.actions')
            ];
    }

}
